# Generated from openam-user-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name openam-user

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Librairie pour se connecter à un OpenAM <12.0
License: MIT
URL: https://github.com/JadeKharats/openam-user
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
OpenAM::User
Librairie d'accès à OpenAM inférieur à la version 12.
Cette librairie prend le compte utilisateur et le mot de passe.
Si les informations sont correctes, le retour contient:
- le prénom
- le nom
- l'uid
- le token_id
- la validité du compte.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/openam-user.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.0-1
- Initial package
